-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class JavaSettings

Declaration :

- C++ : class JavaSettings : public UmlSettings
- Java : final class JavaSettings extends UmlSettings

This class manages settings concerning JAVA, configured through the 'Generation settings' dialog. This class may be defined as a 'singleton', but I prefer to use static members allowing to just write 'JavaSettings::member' rather than 'JavaSettings::instance()->member' or other long sentence like this.

Artifact : JavaSettings

Operation useDefaults

Declaration :

- C++ : public: static bool useDefaults()
- Java : public static boolean useDefaults()

returns TRUE when the created Java objects are initialized with the default declaration/definition

Operation set_UseDefaults

Declaration :

- C++ : public: static bool set_UseDefaults(bool y)
- Java : public static void set_UseDefaults(boolean y) throws RuntimeException

if y is TRUE the future created Java objects will be initialized with the default declaration/definition On error : return FALSE in C++, produce a RuntimeException in Java

Operation type

Declaration :

- C++ : public: static QCString type(const QCString & s)
- Java : public static String type(String s)

returns the JAVA type corresponding to the 'UML' type given in argument, as it is configured in the first 'Generation settings' dialog's tab

Operation set_Type

Declaration :

- C++ : public: static bool set_Type(QCString s, QCString v)
- Java : public static void set_Type(String s, String v) throws RuntimeException

set the JAVA type corresponding to the 'UML' type given in argument, as it is configured in the first 'Generation settings' dialog's tab On error : return FALSE in C++, produce a RuntimeException in Java

Operation umlType

Declaration :

- C++ : public: static QCString umlType(const QCString & s)
- Java : public static String umlType(String s)

reverse of the Type() operation, returns the 'UML' type corresponding to the JAVA type given in argument

Operation relationStereotype

Declaration :

- C++ : public: static QCString relationStereotype(const QCString & s)
- Java : public static String relationStereotype(String s)

returns the JAVA stereotype corresponding to the 'UML' stereotype given in argument

Operation set_RelationStereotype

Declaration :

- C++ : public: static bool set_RelationStereotype(QCString s, QCString v)
- Java : public static void set_RelationStereotype(String s, String v) throws RuntimeException

set the JAVA stereotype corresponding to the 'UML' stereotype given in argument On error : return FALSE in C++, produce a RuntimeException in Java

Operation relationUmlStereotype

Declaration :

- C++ : public: static QCString relationUmlStereotype(const QCString & s)
- Java : public static String relationUmlStereotype(String s)

reverse of the RelationStereotype() operation, returns the 'UML' stereotype corresponding to the JAVA one given in argument

Operation classStereotype

Declaration :

- C++ : public: static QCString classStereotype(const QCString & s)
- Java : public static String classStereotype(String s)

returns the JAVA stereotype corresponding to the 'UML' stereotype given in argument

Operation set_ClassStereotype

Declaration :

- C++ : public: static bool set_ClassStereotype(QCString s, QCString v)
- Java : public static void set_ClassStereotype(String s, String v) throws RuntimeException

set the JAVA stereotype corresponding to the 'UML' stereotype given in argument On error : return FALSE in C++, produce a RuntimeException in Java

Operation classUmlStereotype

Declaration :

- C++ : public: static QCString classUmlStereotype(const QCString & s)
- Java : public static String classUmlStereotype(String s)

reverse of the ClassStereotype() operation, returns the 'UML' stereotype corresponding to the JAVA one given in argument

Operation get_import

Declaration :

- C++ : public: static QCString get_import(const QCString & s)
- Java : public static String get_import(String s)

returns the import or other form specified in the last 'Generation settings' tab for the Java type given in argument.

Operation set_Import

Declaration :

- C++ : public: static bool set_Import(QCString s, QCString v)
- Java : public static void set_Import(String s, String v) throws RuntimeException

set the import or other form specified in the last 'Generation settings' tab for the Java type given in argument. On error : return FALSE in C++, produce a RuntimeException in Java

Operation rootDir

Declaration :

- C++ : public: static const QCString & rootDir()
- Java : public static String rootDir()

return the 'root' directory

Operation set_RootDir

Declaration :

- C++ : public: static bool set_RootDir(QCString v)
- Java : public static void set_RootDir(String v) throws RuntimeException

set the 'root' directory On error : return FALSE in C++, produce a RuntimeException in Java

Operation sourceContent

Declaration :

- C++ : public: static const QCString & sourceContent()
- Java : public static String sourceContent()

returns the default source file content

Operation set_SourceContent

Declaration :

- C++ : public: static bool set_SourceContent(QCString v)
- Java : public static void set_SourceContent(String v) throws RuntimeException

set the default source file content On error : return FALSE in C++, produce a RuntimeException in Java

Operation sourceExtension

Declaration :

- C++ : public: static const QCString & sourceExtension()
- Java : public static String sourceExtension()

returns the extension of the file produced by the JAVA code generator

Operation set_SourceExtension

Declaration :

- C++ : public: static bool set_SourceExtension(QCString v)
- Java : public static void set_SourceExtension(String v) throws RuntimeException

set the extension of the file produced by the JAVA code generator On error : return FALSE in C++, produce a RuntimeException in Java

Operation classDecl

Declaration :

- C++ : public: static const QCString & classDecl()
- Java : public static String classDecl()

returns the default definition of a class

Operation set_ClassDecl

Declaration :

- C++ : public: static bool set_ClassDecl(QCString v)
- Java : public static void set_ClassDecl(String v) throws RuntimeException

set the default definition of a class On error : return FALSE in C++, produce a RuntimeException in Java

Operation externalClassDecl

Declaration :

- C++ : public: static const QCString & externalClassDecl()
- Java : public static String externalClassDecl()

returns the default specification for an 'external' class

Operation set_ExternalClassDecl

Declaration :

- C++ : public: static bool set_ExternalClassDecl(QCString v)
- Java : public static void set_ExternalClassDecl(String v) throws RuntimeException

set the default specification for an 'external' class On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumDecl

Declaration :

- C++ : public: static const QCString & enumDecl()
- Java : public static String enumDecl()

returns the default definition of an enumeration implemented through an abstract class having constant attributes

Operation set_EnumDecl

Declaration :

- C++ : public: static bool set_EnumDecl(QCString v)
- Java : public static void set_EnumDecl(String v) throws RuntimeException

set the default definition of an enumeration implemented through an abstract class having constant attributes On error : return FALSE in C++, produce a RuntimeException in Java

Operation interfaceDecl

Declaration :

- C++ : public: static const QCString & interfaceDecl()
- Java : public static String interfaceDecl()

returns the default definition of an interface

Operation set_InterfaceDecl

Declaration :

- C++ : public: static bool set_InterfaceDecl(QCString v)
- Java : public static void set_InterfaceDecl(String v) throws RuntimeException

set the default definition of an interface On error : return FALSE in C++, produce a RuntimeException in Java

Operation attributeDecl

Declaration :

- C++ : public: static const QCString & attributeDecl()
- Java : public static String attributeDecl()

returns the default definition of an attribute

Operation set_AttributeDecl

Declaration :

- C++ : public: static bool set_AttributeDecl(QCString v)
- Java : public static void set_AttributeDecl(String v) throws RuntimeException

set the default definition of an attribute On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumItemDecl

Declaration :

- C++ : public: static const QCString & enumItemDecl()
- Java : public static String enumItemDecl()

returns the default definition of an enumeration item

Operation set_EnumItemDecl

Declaration :

- C++ : public: static bool set_EnumItemDecl(QCString v)
- Java : public static void set_EnumItemDecl(String v) throws RuntimeException

set the default definition of an enumeration item On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumItemCase

Declaration :

- C++ : public: static const QCString & enumItemCase()
- Java : public static String enumItemCase()

Returns the 'case' form produced in the fromInt operation for each enumeration item

Operation set_EnumItemCase

Declaration :

- C++ : public: static bool set_EnumItemCase(QCString v)
- Java : public static void set_EnumItemCase(String v) throws RuntimeException

set the 'case' form produced in the fromInt operation for each enumeration item On error : return FALSE in C++, produce a RuntimeException in Java

Operation relationDecl

Declaration :

- C++ : public: static const QCString & relationDecl(const char * multiplicity)
- Java : public static String relationDecl(String multiplicity)

returns the default definition of a relation depending on the multiplicity given in argument.

Operation set_RelationDecl

Declaration :

- C++ : public: static bool set_RelationDecl(const char * multiplicity, QCString v)
- Java : public static void set_RelationDecl(String multiplicity, String v) throws RuntimeException

set the default definition of a relation depending on the multiplicity given in argument. On error : return FALSE in C++, produce a RuntimeException in Java

Operation operationDef

Declaration :

- C++ : public: static const QCString & operationDef()
- Java : public static String operationDef()

returns the default definition of an operation

Operation set_OperationDef

Declaration :

- C++ : public: static bool set_OperationDef(QCString v)
- Java : public static void set_OperationDef(String v) throws RuntimeException

set the default definition of an operation On error : return FALSE in C++, produce a RuntimeException in Java

Operation getVisibility

Declaration :

- C++ : public: static aVisibility getVisibility()
- Java : public static aVisibility getVisibility()

returns the default visibility of a 'get' operation generated through the attribute and relation 'add get operation'

Operation set_GetVisibility

Declaration :

- C++ : public: static bool set_GetVisibility(aVisibility v)
- Java : public static void set_GetVisibility(aVisibility v) throws RuntimeException

set the default visibility of a 'get' operation generated through the attribute and relation 'add get operation' On error : return FALSE in C++, produce a RuntimeException in Java

Operation getName

Declaration :

- C++ : public: static const QCString & getName()
- Java : public static String getName()

returns the default name of a 'get' operation generated through the attribute and relation 'add get operation' menu

Operation set_GetName

Declaration :

- C++ : public: static bool set_GetName(QCString v)
- Java : public static void set_GetName(String v) throws RuntimeException

set the default name of a 'get' operation generated through the attribute and relation 'add get operation' menu On error : return FALSE in C++, produce a RuntimeException in Java

Operation setName

Declaration :

- C++ : public: static const QCString & setName()
- Java : public static String setName()

returns the default name of a 'set' operation generated through the attribute and relation 'add set operation' menu

Operation set_SetName

Declaration :

- C++ : public: static bool set_SetName(QCString v)
- Java : public static void set_SetName(String v) throws RuntimeException

set the default name of a 'set' operation generated through the attribute and relation 'add set operation' menu On error : return FALSE in C++, produce a RuntimeException in Java

Operation isGetFinal

Declaration :

- C++ : public: static bool isGetFinal()
- Java : public static boolean isGetFinal()

return if a 'get' operation generated through the attribute and relation 'add get operation' menu is final by default

Operation set_IsGetFinal

Declaration :

- C++ : public: static bool set_IsGetFinal(bool v)
- Java : public static void set_IsGetFinal(boolean v) throws RuntimeException

set if a 'get' operation generated through the attribute and relation 'add get operation' menu is final by default On error : return FALSE in C++, produce a RuntimeException in Java

Operation isSetFinal

Declaration :

- C++ : public: static bool isSetFinal()
- Java : public static boolean isSetFinal()

returns if a 'set' operation generated through the attribute and relation 'add set operation' menu is final by default

Operation set_IsSetFinal

Declaration :

- C++ : public: static bool set_IsSetFinal(bool v)
- Java : public static void set_IsSetFinal(boolean v) throws RuntimeException

set if a 'set' operation generated through the attribute and relation 'add set operation' menu is final by default On error : return FALSE in C++, produce a RuntimeException in Java

Operation setVisibility

Declaration :

- C++ : public: static aVisibility setVisibility()
- Java : public static aVisibility setVisibility()

returns the default visibility of a 'set' operation generated through the attribute and relation 'add set operation'

Operation set_SetVisibility

Declaration :

- C++ : public: static bool set_SetVisibility(aVisibility v)
- Java : public static void set_SetVisibility(aVisibility v) throws RuntimeException

set the default visibility of a 'set' operation generated through the attribute and relation 'add set operation' On error : return FALSE in C++, produce a RuntimeException in Java

Operation isSetParamFinal

Declaration :

- C++ : public: static bool isSetParamFinal()
- Java : public static boolean isSetParamFinal()

returns if the parameters of a 'set' operation generated through the attribute and relation 'add set operation' menu are final by default

Operation set_IsSetParamFinal

Declaration :

- C++ : public: static bool set_IsSetParamFinal(bool v)
- Java : public static void set_IsSetParamFinal(boolean v) throws RuntimeException

set if the parameters of a 'set' operation generated through the attribute and relation 'add set operation' menu are final by default On error : return FALSE in C++, produce a RuntimeException in Java

Operation JavaSettings

Declaration :

- C++ : private: JavaSettings()
- Java : private JavaSettings()

never called !

Attribut _defined

Declaration :

- C++ : private: static bool _defined
- Java : private static boolean _defined

Attribut _root

Declaration :

- C++ : private: static QCString _root
- Java : private static String _root

Attribut _class_decl

Declaration :

- C++ : private: static QCString _class_decl
- Java : private static String _class_decl

Attribut _external_class_decl

Declaration :

- C++ : private: static QCString _external_class_decl
- Java : private static String _external_class_decl

Attribut _enum_decl

Declaration :

- C++ : private: static QCString _enum_decl
- Java : private static String _enum_decl

Attribut _interface_decl

Declaration :

- C++ : private: static QCString _interface_decl
- Java : private static String _interface_decl

Attribut _attr_decl

Declaration :

- C++ : private: static QCString _attr_decl
- Java : private static String _attr_decl

Attribut _enum_item_decl

Declaration :

- C++ : private: static QCString _enum_item_decl
- Java : private static String _enum_item_decl

Attribut _enum_item_case

Declaration :

- C++ : private: static QCString _enum_item_case
- Java : private static String _enum_item_case

Attribut _rel_decl

Declaration :

- C++ : private: static QCString _rel_decl[3/*multiplicity*/]
- Java : private static String[] _rel_decl

Attribut _oper_def

Declaration :

- C++ : private: static QCString _oper_def
- Java : private static String _oper_def

Relation _get_visibility (<directional aggregation by value>)

Declaration :

- C++ : private: static aVisibility _get_visibility
- Java : private static aVisibility _get_visibility

Attribut _get_name

Declaration :

- C++ : private: static QCString _get_name
- Java : private static String _get_name

Attribut _is_get_final

Declaration :

- C++ : private: static bool _is_get_final
- Java : private static boolean _is_get_final

Relation _set_visibility (<directional aggregation by value>)

Declaration :

- C++ : private: static aVisibility _set_visibility
- Java : private static aVisibility _set_visibility

Attribut _set_name

Declaration :

- C++ : private: static QCString _set_name
- Java : private static String _set_name

Attribut _is_set_final

Declaration :

- C++ : private: static bool _is_set_final
- Java : private static boolean _is_set_final

Attribut _is_set_param_final

Declaration :

- C++ : private: static bool _is_set_param_final
- Java : private static boolean _is_set_param_final

Attribut _src_content

Declaration :

- C++ : private: static QCString _src_content
- Java : private static String _src_content

Attribut _ext

Declaration :

- C++ : private: static QCString _ext
- Java : private static String _ext

Attribut _map_imports

Declaration :

- C++ : private: static QDict<QCString> _map_imports
- Java : private static Hashtable _map_imports

Operation read_

Declaration :

- C++ : protected: static void read_()
- Java : protected static void read_()

internal, do NOT use it

Operation read_if_needed_

Declaration :

- C++ : protected: static void read_if_needed_()
- Java : protected static void read_if_needed_()

internal, do NOT use it

All public operations :

artifactDescription , attributeDecl , attributeDescription , classDecl , classDescription , classStereotype , classUmlStereotype , enumDecl , enumItemCase , enumItemDecl , externalClassDecl , get_import , getName , getVisibility , interfaceDecl , isGetFinal , isSetFinal , isSetParamFinal , operationDef , operationDescription , relationDecl , relationDescription , relationStereotype , relationUmlStereotype , rootDir , set_ArtifactDescription , set_AttributeDecl , set_AttributeDescription , set_ClassDecl , set_ClassDescription , set_ClassStereotype , set_EnumDecl , set_EnumItemCase , set_EnumItemDecl , set_ExternalClassDecl , set_GetName , set_GetVisibility , set_Import , set_InterfaceDecl , set_IsGetFinal , set_IsSetFinal , set_IsSetParamFinal , set_OperationDef , set_OperationDescription , set_RelationDecl , set_RelationDescription , set_RelationStereotype , set_RootDir , set_SetName , set_SetVisibility , set_SourceContent , set_SourceExtension , set_Type , set_UseDefaults , setName , setVisibility , sourceContent , sourceExtension , type , umlType , useDefaults